/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef } from "@angular/core";
import { AaiMessage, AaiOperation, NodePath } from "apicurio-data-models";
import { CommandService } from "../../../../_services/command.service";
import { AbstractBaseComponent } from "../../../common/base-component";
import { DocumentService } from "../../../../_services/document.service";
import { SelectionService } from "../../../../_services/selection.service";
import { DropDownOptionValue as Value } from "../../../../../../../../components/common/drop-down.component";
import { EditorsService } from "../../../../_services/editors.service";
export declare class MessageSectionComponent extends AbstractBaseComponent {
    private changeDetectorRef;
    private documentService;
    private commandService;
    private selectionService;
    private editors;
    operation: AaiOperation;
    currentPart: string;
    nodePathToDel: NodePath;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param documentService
     * @param commandService
     * @param selectionService
     * @param editors
     */
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService, editors: EditorsService);
    ngOnInit(): void;
    messagePath(): string;
    /**
     * Called when the user selects the main/default element from the master area.
     */
    selectMain(): void;
    /**
     * Deselects the currently selected message definition.
     */
    deselectMessage(): void;
    addOneOf(newOneOf: string): void;
    deleteMessageInOneOf(data: AaiMessage, idx: number): void;
    isMultiMessages(): boolean;
    messageFromOperation(): AaiMessage;
    getMessagesFromDocument(): string[];
    referenceAlreadyAdd(): string[];
    hasMessage(): boolean;
    schemaFormatOptions(): Value[];
    isPartActive(part: string): boolean;
    setActivePart(part: string): void;
    oneOfName(message: AaiMessage): string;
    deref(message: AaiMessage): any;
    changeName(newName: string): void;
    changeTitle(newTitle: string): void;
    changeSummary(newSummary: string): void;
    changeDescription(newDescription: string): void;
    changeContentType(newContentType: string): void;
    changeSchemaFormat(newSchemaFormat: boolean): void;
    inheritanceType(): string;
}
